# gkrellm(1) completion by Guillaume Rousse <rousse@ccr.jussieu.fr>

have gkrellm || have gkrellm2 &&
_gkrellm()
{
    local cur prev

    COMPREPLY=()
    cur=`_get_cword`
    prev=${COMP_WORDS[COMP_CWORD-1]}

    case "$prev" in
        -@(t|-theme))
            _filedir -d
            return 0
            ;;
        -@(p|-plugin))
            _filedir 'so'
            return 0
            ;;
        -@(s|-server))
            _known_hosts_real "$cur"
            return 0
            ;;
    esac

    if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '--help -t --theme -s --server \
            -g --geometry -wm -w --withdrawn -c --config -nc \
            -f --force-host-config -demo -p --plugin -P --port' -- "$cur" ) )
    fi

} &&
complete -F _gkrellm gkrellm gkrellm2

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
